> This page is for Firmware, version 3.2.
> For other versions, use one of these documentation indexes:
> - 4.0 (default): https://docs.ouster.com/sensor-docs/firmware/4.0/llms.txt
> - 3.2: https://docs.ouster.com/sensor-docs/firmware/3.2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ouster.com/sensor-docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ouster.com/sensor-docs/_mcp/server.

# Get the metadata information

GET http://os-992244000006.local/api/v1/sensor/metadata

Get the sensor metadata information

Reference: https://docs.ouster.com/sensor-docs/firmware/api-reference/ouster-http-api/sensor-metadata/get-metadata

## Response

### 200

Sensor metadata result

- `beam_intrinsics` (BeamIntrinsics, optional)
- `calibration_status` (CalibrationStatus, optional)
- `config_params` (Config, optional)
- `imu_data_format` (IMUDataFormat, optional)
- `imu_intrinsics` (IMUIntrinsics, optional)
- `lidar_data_format` (LidarDataFormat, optional)
- `lidar_intrinsics` (LidarIntrinsics, optional)
- `sensor_info` (SensorInfo, optional)
- `zone_monitor` (ZoneMonitorMetadata, optional)

## Types

### BeamIntrinsics

- `beam_altitude_angles` (list of double, optional)
- `beam_azimuth_angles` (list of double, optional)
- `beam_to_lidar_transform` (list of double, optional)
- `lidar_origin_to_beam_origin_mm` (double, optional)

### CalibrationStatus

- `reflectivity` (CalibrationStatusReflectivity, optional)

### Config

- `accel_fsr` (enum, optional) — Refers to the Full Scale Range of the accelerometer
  - Allowed values: `NORMAL`, `EXTENDED`
- `azimuth_window` (list of integer, optional, default: [0,360000]) — Set the visible region of interest of the sensor in millidegrees. Only data from within the specified azimuth window bounds is sent. The value should be provisioned as: [__min_bound_millideg__, __max_bound_millideg__]
- `bloom_reduction_optimization` (enum, optional, default: BALANCED) — Configure the bloom reduction algorithm's optimization level. This parameter controls the tradeoff between false positives and false negatives in bloom reduction.
  - Allowed values: `BALANCED`, `MINIMIZE_FALSE_POSITIVES`
- `columns_per_packet` (integer, optional, default: 16) — Determines the columns per packet, this parameter is read-only.
- `gyro_fsr` (enum, optional) — Refers to the Full Scale Range of the gyro
  - Allowed values: `NORMAL`, `EXTENDED`
- `imu_packets_per_frame` (enum, optional, default: 8) — IMU packets per frame
  - Allowed values: `1`, `2`, `4`, `8`
- `lidar_frame_azimuth_offset` (integer, optional, default: 0) — Set the rotational offset of the lidar coordinate frame in millidegrees. This parameter allows for angular alignment shifts of the entire lidar coordinate frame, including the starting angle of the first column. As an example, setting lidar_frame_azimuth_offset to 90000 will result in a 90° counter-clockwise rotation of the lidar coordinate frame about the shared Y axis of the stationary sensor coordinate frame. This results in the measurement frame starting at sensor coordinate frame azimuth 270°. All other lidar coordinate frame parameters (such as azimuth_window and phase_lock_offset) are applied relative to this offset.
- `lidar_mode` (enum, optional, default: 1024x10) — The horizontal resolution and rotation rate of the sensor. The effective range of the sensor is increased by 15-20% for every halving of the number of points gathered e.g. `512x10` has 15-20% longer range than `512x20`.
  - Allowed values: `1024x10`, `512x10`, `2048x10`, `512x20`, `1024x20`
- `min_range_threshold_cm` (enum, optional, default: 50) — Set `0`, `30`, or `50` centimeters to change the sensor's minimum reported range. Points below the configured minimum range will not be reported. In Short Range mode, only `30` or `50` are permitted. __Note:__ When `min_range_threshold_cm` is set to 30 or less, Ouster recommends setting `return_order` to `FARTHEST_TO_NEAREST`.
  - Allowed values: `0`, `30`, `50`
- `multipurpose_io_mode` (enum, optional, default: OFF) — Configure the mode of the `MULTIPURPOSE_IO` pin. Refer to the Time Synchronization section in the Firmware user manual for a detailed description of each option.
  - Allowed values: `OFF`, `INPUT_NMEA_UART`, `OUTPUT_FROM_INTERNAL_OSC`, `OUTPUT_FROM_SYNC_PULSE_IN`, `OUTPUT_FROM_PTP_1588`, `OUTPUT_FROM_ENCODER_ANGLE`
- `nmea_baud_rate` (enum, optional, default: BAUD_9600) — Set the expected baud rate for NMEA UART input `$GPRMC` messages.
  - Allowed values: `BAUD_9600`, `BAUD_115200`
- `nmea_ignore_valid_char` (integer, optional, default: 0) — * `0` - NMEA UART input `$GPRMC` messages should be ignored if valid character is not set * `1` - messages should be used for time syncing regardless of the valid character.
- `nmea_in_polarity` (enum, optional) — Set the polarity of NMEA UART input `$GPRMC` messages. See Time Synchronization section in sensor user manual for NMEA use case. * `ACTIVE_HIGH` - UART is active high, idle low, and start bit is after a falling edge
  - Allowed values: `ACTIVE_HIGH`, `ACTIVE_LOW`
- `nmea_leap_seconds` (integer, optional, default: 0) — Set an integer number of leap seconds that will be added to the UDP timestamp when calculating seconds since 00:00:00 Thursday, 1 January 1970. For Unix Epoch time, this should be set to 0.
- `operating_mode` (enum, optional, default: NORMAL) — * `NORMAL` - put the sensor into a normal operating mode * `STANDBY` - put the sensor into a low power (5W) operating mode where the motor does not spin and lasers do not fire.
  - Allowed values: `NORMAL`, `STANDBY`
- `phase_lock_enable` (boolean, optional, default: false) — Set whether phase locking is enabled. See Firmware User Manual for more details on using phase lock.
- `phase_lock_offset` (integer, optional, default: 0) — Set the angle in the lidar coordinate frame that sensors are locked to in millidegrees if phase locking is enabled. Angle is traversed at the top of the second.
- `return_order` (enum, optional, default: STRONGEST_TO_WEAKEST) — This parameter configures how the lidar returns are ordered. The return order can be set by the user . This parameter applies regardless of the configured `udp_profile_lidar` and can be used to configure the only reported return in single return UDP profiles. __Note:__ When `min_range_threshold_cm` is set to 30 or less, Ouster recommends setting `return_order` to `FARTHEST_TO_NEAREST`.
  - Allowed values: `STRONGEST_TO_WEAKEST`, `NEAREST_TO_FARTHEST`, `FARTHEST_TO_NEAREST`
- `signal_multiplier` (enum, optional, default: 1) — The config parameter signal\_multiplier \<1/2/3> sets the signal multiplier value. For 2x and 3x multipliers, the azimuth\_window \[int, int] parameter sets the azimuth window that the lasers will be enabled in. The higher the signal multiplier value, the smaller the maximum azimuth window can be. | Signal Multiplier Value | Max Azimuth Window | | ----------------------- | ------------------ | | `1` (Default) | 360° | | `2` | 180° | | `3` | 120° | All sensors have equivalent power draw and thermal output when operating at the max azimuth window for a particular signal multiplier value. Therefore, using an azimuth window that is smaller than the maximum allowable azimuth window with a particular signal multiplier value (excluding 1x) can reduce the power draw and thermal output of the sensor. However, while this can increase the max operating temp of the sensor, it can also degrade the performance at low temps. This discrepancy will be resolved in a future firmware.
  - Allowed values: `0.25`, `0.5`, `1`, `2`, `3`
- `sync_pulse_in_polarity` (enum, optional) — Set the polarity of `SYNC_PULSE_IN` input, which controls polarity of `SYNC_PULSE_IN` pin when timestamp_mode is set in `TIME_FROM_SYNC_PULSE_IN`.
  - Allowed values: `ACTIVE_HIGH`, `ACTIVE_LOW`
- `sync_pulse_out_angle` (integer, optional, default: 360) — The angle in terms of degrees that the sensor traverses between each `SYNC_PULSE_OUT` pulse. E.g. a value of 180 means a sync pulse is sent out every 180° for a total of two pulses per revolution and angular frequency of 20 Hz if the sensor is 1024x10 Hz lidar mode. Valid inputs are integers between 0 and 360 inclusive but also limited by the criteria described in the Time Synchronization section of Firmware User Manual.
- `sync_pulse_out_frequency` (integer, optional, default: 1) — The output `SYNC_PULSE_OUT` pulse rate in Hz. Valid inputs are integers >0 Hz, but also limited by the criteria described in the Time Synchronization section of the Firmware User Manual.
- `sync_pulse_out_polarity` (enum, optional) — Set the polarity of polarity of `SYNC_PULSE_OUT` output, if the sensor is set as the master sensor used for time synchronization.
  - Allowed values: `ACTIVE_HIGH`, `ACTIVE_LOW`
- `sync_pulse_out_pulse_width` (integer, optional, default: 10) — Set output `SYNC_PULSE_OUT` pulse width in ms, in 1 ms increments. Valid inputs are integers greater than 0 ms, but also limited by the criteria described in the Time Synchronization section of Software User Manual.
- `timestamp_mode` (enum, optional, default: TIME_FROM_INTERNAL_OSC) — Set the timestamp mode of the sensor. See Time Synchronization section in sensor user manual for details on each mode.
  - Allowed values: `TIME_FROM_INTERNAL_OSC`, `TIME_FROM_SYNC_PULSE_IN`, `TIME_FROM_PTP_1588`
- `udp_dest` (string, optional, default: 192.0.2.133) — UDP destination address for lidar and IMU data. Can be a hostname or IP address. Use @auto to automatically set to the client's IP address.
- `udp_port_imu` (integer, optional, default: 7503) — UDP destination port for IMU data.
- `udp_port_lidar` (integer, optional, default: 7502) — UDP destination port for lidar data.
- `udp_multicast_ttl` (integer, optional, default: 1) — Multicast TTL (Time To Live) for lidar and IMU UDP packets. Valid range is 1-255.
- `udp_dest_zm` (string, optional, default: ) — UDP destination address for Zone Monitor data. Can be a hostname or IP address. Use @auto to automatically set to the client's IP address.
- `udp_port_zm` (integer, optional, default: 0) — UDP destination port for Zone Monitor data.
- `udp_multicast_ttl_zm` (any, optional) — Multicast TTL (Time To Live) for Zone Monitor UDP packets. Valid range is 1-255. type: integer minimum: 1 maximum: 255 default: 1 header_type: description: The configured UDP packet header type $ref:
- `udp_profile_imu` (enum, optional, default: LEGACY) — The configured UDP profile for IMU
  - Allowed values: `LEGACY`, `ACCEL32_GYRO32_NMEA`, `OFF`
- `udp_profile_lidar` (enum, optional, default: RNG19_RFL8_SIG16_NIR16) — Configure the lidar data profile
  - Allowed values: `RNG19_RFL8_SIG16_NIR16`, `RNG19_RFL8_SIG16_NIR16_ZONE16`, `RNG19_RFL8_SIG16_NIR16_DUAL`, `RNG15_RFL8_NIR8`, `RNG15_RFL8_NIR8_ZONE16`, `RNG15_RFL8_NIR8_DUAL`

### IMUDataFormat

- `accel_fsr` (enum, optional) — Refers to the Full Scale Range of the accelerometer
  - Allowed values: `NORMAL`, `EXTENDED`
- `gyro_fsr` (enum, optional) — Refers to the Full Scale Range of the gyroscope
  - Allowed values: `NORMAL`, `EXTENDED`
- `imu_packets_per_frame` (enum, optional) — IMU packets per frame
  - Allowed values: `1`, `2`, `4`, `8`
- `imu_measurements_per_packet` (integer, optional) — IMU measurements per packet
- `udp_profile_imu` (enum, optional) — The configured UDP profile for IMU
  - Allowed values: `LEGACY`, `ACCEL32_GYRO32_NMEA`, `OFF`

### IMUIntrinsics

- `imu_to_sensor_transform` (list of double, optional)

### LidarDataFormat

- `columns_per_frame` (integer, optional) — Number of measurement columns per frame. This can be 512, 1024, or 2048, depending upon the set lidar mode.
- `columns_per_packet` (integer, optional) — Number of measurement blocks contained in a single lidar packet. __Note:__ This is not user configurable.
- `pixel_shift_by_row` (list of integer, optional) — Offset in terms of pixel count. Can be used to destagger image. Varies by lidar mode. Length of this array is equal to the number of channels of the sensor.
- `pixels_per_column` (integer, optional) — Number of channels of the sensor.
- `column_window` (list of integer, optional) — Index of measurement blocks that are active. Default is [0, lidar_mode-1], e.g. [0,1023]. If there is an azimuth window set, this parameter will reflect which measurement blocks of data are within the region of interest.
- `header_type` (enum, optional, default: STANDARD) — UDP packet header type
  - Allowed values: `STANDARD`, `FUSA`, `LEGACY`
- `udp_profile_lidar` (enum, optional, default: RNG19_RFL8_SIG16_NIR16) — Lidar data profile format. Defaults to single return profile.
  - Allowed values: `RNG19_RFL8_SIG16_NIR16`, `RNG19_RFL8_SIG16_NIR16_ZONE16`, `RNG19_RFL8_SIG16_NIR16_DUAL`, `RNG15_RFL8_NIR8`, `RNG15_RFL8_NIR8_ZONE16`, `RNG15_RFL8_NIR8_DUAL`
- `udp_profile_imu` (any, optional, default: LEGACY) — IMU data profile format
- `lidar_frame_azimuth_offset` (integer, optional) — The configured azimuth offset for the lidar coordinate frame in millidegrees

### LidarIntrinsics

- `lidar_to_sensor_transform` (list of double, optional)

### SensorInfo

- `build_date` (string, optional)
- `build_rev` (string, optional)
- `image_rev` (string, optional)
- `initialization_id` (integer, optional)
- `prod_line` (string, optional)
- `prod_pn` (string, optional)
- `prod_sn` (string, optional)
- `status` (enum, optional)
  - Allowed values: `STANDBY`, `RUNNING`, `INITIALIZING`

### ZoneMonitorMetadata

- `m_per_zmbin` (float, optional) — Scale factor for ZRB file range quantization (meters/ZM bin). Only available if sensor is in RUNNING state.

### CalibrationStatusReflectivity

- `valid` (boolean, optional) — Denotes the reflectivity calibration status
- `timestamp` (datetime, optional) — If valid is true, time at which the calibration was completed

## Examples

**Response**

```json
{
  "beam_intrinsics": {
    "beam_altitude_angles": [
      20.38,
      20.12,
      19.79,
      19.45,
      19.14,
      18.85,
      18.55,
      18.2,
      17.86,
      17.58,
      17.27,
      16.93,
      16.58,
      16.29,
      15.98,
      15.61,
      15.27,
      14.97,
      14.66,
      14.3,
      13.96,
      13.65,
      13.33,
      12.97,
      12.62,
      12.31,
      11.98,
      11.63,
      11.27,
      10.96,
      10.63,
      10.26,
      9.91,
      9.59,
      9.26,
      8.89,
      8.54,
      8.21,
      7.87,
      7.52,
      7.15,
      6.82,
      6.47,
      6.11,
      5.76,
      5.42,
      5.08,
      4.73,
      4.36,
      4.03,
      3.66,
      3.31,
      2.96,
      2.62,
      2.27,
      1.91,
      1.55,
      1.22,
      0.85,
      0.51,
      0.16,
      -0.2,
      -0.55,
      -0.91,
      -1.26,
      -1.62,
      -1.96,
      -2.3,
      -2.66,
      -3.02,
      -3.36,
      -3.72,
      -4.07,
      -4.42,
      -4.77,
      -5.11,
      -5.46,
      -5.82,
      -6.16,
      -6.49,
      -6.85,
      -7.21,
      -7.55,
      -7.88,
      -8.23,
      -8.59,
      -8.93,
      -9.25,
      -9.6,
      -9.96,
      -10.31,
      -10.63,
      -10.96,
      -11.32,
      -11.67,
      -11.97,
      -12.31,
      -12.68,
      -13,
      -13.32,
      -13.64,
      -14,
      -14.33,
      -14.63,
      -14.96,
      -15.31,
      -15.64,
      -15.94,
      -16.26,
      -16.62,
      -16.93,
      -17.22,
      -17.54,
      -17.9,
      -18.22,
      -18.49,
      -18.8,
      -19.16,
      -19.47,
      -19.73,
      -20.04,
      -20.39,
      -20.7,
      -20.94,
      -21.25,
      -21.6,
      -21.9,
      -22.14
    ],
    "beam_azimuth_angles": [
      4.24,
      1.41,
      -1.42,
      -4.23,
      4.23,
      1.41,
      -1.41,
      -4.23,
      4.23,
      1.41,
      -1.41,
      -4.21,
      4.23,
      1.42,
      -1.4,
      -4.23,
      4.24,
      1.41,
      -1.4,
      -4.23,
      4.24,
      1.42,
      -1.4,
      -4.22,
      4.23,
      1.41,
      -1.41,
      -4.22,
      4.23,
      1.42,
      -1.4,
      -4.22,
      4.24,
      1.41,
      -1.4,
      -4.23,
      4.23,
      1.41,
      -1.41,
      -4.22,
      4.23,
      1.41,
      -1.41,
      -4.23,
      4.23,
      1.4,
      -1.42,
      -4.23,
      4.23,
      1.41,
      -1.42,
      -4.23,
      4.23,
      1.4,
      -1.42,
      -4.24,
      4.22,
      1.41,
      -1.43,
      -4.24,
      4.22,
      1.4,
      -1.42,
      -4.24,
      4.22,
      1.4,
      -1.42,
      -4.23,
      4.22,
      1.4,
      -1.4,
      -4.24,
      4.22,
      1.4,
      -1.42,
      -4.24,
      4.22,
      1.41,
      -1.41,
      -4.22,
      4.22,
      1.39,
      -1.42,
      -4.23,
      4.22,
      1.41,
      -1.41,
      -4.22,
      4.23,
      1.41,
      -1.41,
      -4.23,
      4.23,
      1.41,
      -1.41,
      -4.22,
      4.23,
      1.41,
      -1.41,
      -4.22,
      4.22,
      1.41,
      -1.41,
      -4.22,
      4.23,
      1.41,
      -1.4,
      -4.23,
      4.22,
      1.41,
      -1.41,
      -4.23,
      4.22,
      1.4,
      -1.41,
      -4.23,
      4.22,
      1.4,
      -1.41,
      -4.24,
      4.22,
      1.4,
      -1.42,
      -4.24,
      4.22,
      1.4,
      -1.42,
      -4.23
    ],
    "beam_to_lidar_transform": [
      1,
      0,
      0,
      15.805999755859375,
      0,
      1,
      0,
      0,
      0,
      0,
      1,
      0,
      0,
      0,
      0,
      1
    ],
    "lidar_origin_to_beam_origin_mm": 15.8059999999
  },
  "calibration_status": {
    "reflectivity": {
      "valid": true,
      "timestamp": "2024-01-15T09:30:00Z"
    }
  },
  "config_params": {
    "accel_fsr": "NORMAL",
    "azimuth_window": [
      1
    ],
    "bloom_reduction_optimization": "BALANCED",
    "columns_per_packet": 16,
    "gyro_fsr": "NORMAL",
    "imu_packets_per_frame": 8,
    "lidar_frame_azimuth_offset": 0,
    "lidar_mode": "1024x10",
    "min_range_threshold_cm": 50,
    "multipurpose_io_mode": "OFF",
    "nmea_baud_rate": "BAUD_9600",
    "nmea_ignore_valid_char": 0,
    "nmea_in_polarity": "ACTIVE_HIGH",
    "nmea_leap_seconds": 0,
    "operating_mode": "NORMAL",
    "phase_lock_enable": false,
    "phase_lock_offset": 0,
    "return_order": "STRONGEST_TO_WEAKEST",
    "signal_multiplier": 1,
    "sync_pulse_in_polarity": "ACTIVE_HIGH",
    "sync_pulse_out_angle": 360,
    "sync_pulse_out_frequency": 1,
    "sync_pulse_out_polarity": "ACTIVE_HIGH",
    "sync_pulse_out_pulse_width": 10,
    "timestamp_mode": "TIME_FROM_INTERNAL_OSC",
    "udp_dest": "192.0.2.133",
    "udp_port_imu": 7503,
    "udp_port_lidar": 7502,
    "udp_multicast_ttl": 1,
    "udp_dest_zm": "",
    "udp_port_zm": 0,
    "udp_multicast_ttl_zm": null,
    "udp_profile_imu": "LEGACY",
    "udp_profile_lidar": "RNG19_RFL8_SIG16_NIR16"
  },
  "imu_data_format": {
    "accel_fsr": "NORMAL",
    "gyro_fsr": "NORMAL",
    "imu_packets_per_frame": 1,
    "imu_measurements_per_packet": 1,
    "udp_profile_imu": "LEGACY"
  },
  "imu_intrinsics": {
    "imu_to_sensor_transform": [
      1,
      0,
      0,
      6.253,
      0,
      1,
      0,
      -11.775,
      0,
      0,
      1,
      7.645,
      0,
      0,
      0,
      1
    ]
  },
  "lidar_data_format": {
    "columns_per_frame": 1024,
    "columns_per_packet": 16,
    "pixel_shift_by_row": [
      1
    ],
    "pixels_per_column": 128,
    "column_window": [
      0,
      1023
    ],
    "header_type": "STANDARD",
    "udp_profile_lidar": "RNG19_RFL8_SIG16_NIR16",
    "udp_profile_imu": null,
    "lidar_frame_azimuth_offset": 0
  },
  "lidar_intrinsics": {
    "lidar_to_sensor_transform": [
      -1,
      0,
      0,
      0,
      0,
      -1,
      0,
      0,
      0,
      0,
      1,
      36.18,
      0,
      0,
      0,
      1
    ]
  },
  "sensor_info": {
    "build_date": "2023-1-15T15:56:07Z",
    "build_rev": "v3.0.0",
    "image_rev": "ousteros-image-prod-bootes-v3.0.0+0123456789",
    "initialization_id": 390072,
    "prod_line": "OS-1-128",
    "prod_pn": "860-105010-07",
    "prod_sn": "992244000006",
    "status": "RUNNING"
  },
  "zone_monitor": {
    "m_per_zmbin": 1.1
  }
}
```

**SDK Code**

```python
import requests

url = "http://os-992244000006.local/api/v1/sensor/metadata"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'http://os-992244000006.local/api/v1/sensor/metadata';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://os-992244000006.local/api/v1/sensor/metadata"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://os-992244000006.local/api/v1/sensor/metadata")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://os-992244000006.local/api/v1/sensor/metadata")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://os-992244000006.local/api/v1/sensor/metadata');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://os-992244000006.local/api/v1/sensor/metadata");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "http://os-992244000006.local/api/v1/sensor/metadata")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```